> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hybridbox.io/llms.txt
> Use this file to discover all available pages before exploring further.

# 요금제 취소

> 청구 플랜 취소

<script src="/locale-bridge.js" />


## OpenAPI

````yaml /openapi.ko.json POST /v1/public/accounts/{account_id}/billing/cancel-plan
openapi: 3.1.0
info:
  title: Code API (Public)
  version: 1.0.0
servers:
  - url: https://api.hybridbox.io
security: []
paths:
  /v1/public/accounts/{account_id}/billing/cancel-plan:
    post:
      tags:
        - public-accounts
        - public-billing
      summary: 청구 플랜 취소
      description: 계정 요금제를 취소하세요.
      operationId: >-
        cancel_public_billing_plan_v1_public_accounts__account_id__billing_cancel_plan_post
      parameters:
        - in: path
          name: account_id
          required: true
          schema:
            format: uuid
            title: Account Id
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/BillingCancelPlanRequest'
        required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PublicBillingPlanOperationResponse'
          description: ''
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: 검증 오류
      security:
        - PublicBearerAuth: []
components:
  schemas:
    BillingCancelPlanRequest:
      description: 계정 구독 플랜을 취소하기 위한 고객 요청 스키마.
      properties:
        cancel_at_period_end:
          default: true
          description: 청구 기간 종료 시 요금제 취소
          title: 기간 종료 시 취소
          type: boolean
        cancel_immediately:
          default: false
          description: 즉시 계획 취소
          title: 즉시 취소
          type: boolean
      title: BillingCancelPlanRequest
      type: object
    PublicBillingPlanOperationResponse:
      properties:
        account_status:
          anyOf:
            - type: string
            - type: 'null'
          description: 작업 후 계정 상태
          title: 계정 상태
        effective_at:
          anyOf:
            - format: date-time
              type: string
            - type: 'null'
          description: 결제 변경사항이 적용된 시점
          title: 유효 날짜
        eligible:
          anyOf:
            - type: boolean
            - type: 'null'
          description: 계정이 작업에 적합한지 여부
          title: 대상
        previous_plan_id:
          anyOf:
            - type: string
            - type: 'null'
          description: 이전 요금제 ID
          title: 이전 계획 ID
        status:
          description: 결제 작업 상태
          title: 상태
          type: string
        target_plan_id:
          anyOf:
            - type: string
            - type: 'null'
          description: 대상 요금제 ID
          title: 대상 계획 ID
      required:
        - status
      title: PublicBillingPlanOperationResponse
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: 세부 정보
          type: array
      title: HTTP검증 오류
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: 위치
          type: array
        msg:
          title: 메시지
          type: string
        type:
          title: 오류 유형
          type: string
      required:
        - loc
        - msg
        - type
      title: 검증 오류
      type: object
  securitySchemes:
    PublicBearerAuth:
      bearerFormat: JWT or Hybridbox Service account token
      description: >-
        Public API bearer credential sent as `Authorization: Bearer <token>`.
        Use either an OAuth access token or a Hybridbox Service account token.
      scheme: bearer
      type: http

````